package click.kamil.examples.statemachine.extended.service;

import org.springframework.stereotype.Service;

@Service
public class ExternalNotificationService {
    public void sendExternalNotification(String message) {
        // Simulated third-party call that triggers a state change in an external system
        System.out.println("Notifying external system: " + message);
    }
}
